/*
   (c) 2021 Christian Grieger
   GNU GENERAL PUBLIC LICENSE
*/

#ifndef VEHICLELIGHT_H
#define VEHICLELIGHT_H

#include <Arduino.h>

class VehicleLight
{
  public:
    /*
       Constructor which resets all relevant values and connects the LED to the pin of the Arduino.
    */
    VehicleLight (byte ledPin1, byte ledPin2);

    /*
       Update routine which should be called in the main loop()-function
    */
    void update();

  protected:
    byte pin1;
    byte pin2;
    long nextBlink;
};

#endif
